Home > Community > Forums > Functional Verification > IUS CDSLIB setting on different version

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 IUS CDSLIB setting on different version 

Last post Fri, Oct 19 2007 1:40 AM by archive. 2 replies.
Started by archive 19 Oct 2007 01:40 AM. Topic has 2 replies and 1406 views
Page 1 of 1 (3 items)
Sort Posts:
  • Fri, Oct 19 2007 1:40 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,950
    IUS CDSLIB setting on different version Reply

    Hi all:
      
       I have some question about the IUS enviroment setting.I simulate a design RTL in IUS5.4 or
    IUS5.5.when setting enviroment,I use the default CDSLIB and HDLVAR.Then use the comand
    "ncvlog -message -f filelist.f" to compile the design.The compile pass without errors.But next setp use the command "ncelab -message -access +RWC worklib.inp_tb" to elaborate the deign,occur these errores as follow:
      
       ncelab: 05.50-p004: (c) Copyright 1995-2005 Cadence Design Systems, Inc.
    ncelab: *E,DLMKDF: Unable to add default DEFINE std       /cad/cadence/IUS55-linux/tools/inca/files/STD.
    ncelab: *E,DLMKDF: Unable to add default DEFINE synopsys  /cad/cadence/IUS55-linux/tools/inca/files/SYNOPSYS.
    ncelab: *E,DLMKDF: Unable to add default DEFINE ieee      /cad/cadence/IUS55-linux/tools/inca/files/IEEE.
    ncelab: *E,DLMKDF: Unable to add default DEFINE ambit     /cad/cadence/IUS55-linux/tools/inca/files/AMBIT.
    ncelab: *E,DLMKDF: Unable to add default DEFINE vital_memory /cad/cadence/IUS55-linux/tools/inca/files/VITAL_MEMORY.
    ncelab: *E,DLMKDF: Unable to add default DEFINE ncutils /cad/cadence/IUS55-linux/tools/inca/files/NCUTILS.
    ncelab: *E,DLMKDF: Unable to add default DEFINE cds_assertions /cad/cadence/IUS55-linux/tools/inca/files/CDS_ASSERTIONS.
    ncelab: *F,DLINIT: Failed to initialize library system interface.

      But I don't use the default CDSLIB,creat the file cdslib and hdlvar,as follow:
         file cdslib:
     
    #INCLUDE $VENVHOME/tools/inca/files/cds.lib
    ## CENTRAL NC WORK DIRECTORIES #####
    ##################################################################
    #DEFINE design_lib       $DB_DIR/design_lib
    ##################################################################

    #DEFINE ieee $CDS_DIR/tools/inca/files/IEEE.src
    #DEFINE std $CDS_DIR/tools/inca/files/STD.src
    #DEFINE synopsys $CDS_DIR/tools/inca/files/SYNOPSYS.src

    DEFINE tech_lib  $DB_DIR/tech_lib
    DEFINE rtl_work  $DB_DIR/rtl_work
    DEFINE rtl_work_linux $DB_DIR/rtl_work_linux

      use the below command "ncvlog -message -work rtl_work -f vlist"
     and "ncelab -message -access +RWC rtl_work.inp_tb".There are not error.

       I want to know :
             the IUS version 5.4 or 5.5 which must use the created CDSLIB ?
      
       Then I do the same simulation using IUS6.11, and use the defualt CDSLIB.
     It is OK, don't occur error on elaborating.
       Does the IUS6.11 automaticly load the std\IEEE\synopsys,etc LIB?

       Thanks!


    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
  • Fri, Oct 19 2007 9:25 AM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,950
    RE: IUS CDSLIB setting on different version Reply

    Are you using the -cdslib argument to ncvlog to point to your cds.lib file?

    Tim


    Originally posted in cdnusers.org by tpylant
    • Post Points: 0
  • Fri, Oct 19 2007 6:46 PM

    • archive
    • Top 75 Contributor
    • Joined on Fri, Jul 4 2008
    • Posts 88
    • Points 4,950
    RE: IUS CDSLIB setting on different version Reply

    Hi Tim:

    Because I use the default cds.lib in the version 5.4 or 5.6 of IUS,I don't specify another cdslib,and it need not respecify.So
    it need not use the -cdslib argument to ncvlog.But when redefine the cds.lib,I need use the -cdslib argument to ncvlog,and the compile and elaberate is OK.Then why not use the default cds.lib in the version 5.4 or 5.6 of IUS?Howerver I use the version 5.8 or 6.1 of IUS,and don't specify the cds.lb,only use the default cds.lb,the compile and elaberate is OK, and not occur the error.

    thanks a lot !

    shawn lieu


    Originally posted in cdnusers.org by shawn-1
    • Post Points: 0
Page 1 of 1 (3 items)
Sort Posts:
Started by archive at 19 Oct 2007 01:40 AM. Topic has 2 replies.